Bug 458220 - Review Request: php-pecl-json - PECL library to implement JSON in PHP
Review Request: php-pecl-json - PECL library to implement JSON in PHP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 23:07 EDT by Nigel Jones
Modified: 2008-08-13 07:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-pecl-json-1.2.1-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 07:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-08-06 23:07:56 EDT
Spec URL: http://dev.nigelj.com/SRPMS/php-pecl-json.spec
SRPM URL: http://dev.nigelj.com/SRPMS/php-pecl-json-1.2.1-1.fc9.src.rpm
Description: PHP support for JSON (JavaScript Object Notation) serialization.

I'm not in a very descriptive frame of mind at present, so any input on a better summary/description would be better, but it's a very simple php module that adds two extra functions to convert json<->arrays.

Note, this is for EPEL only, as PHP includes these functions as of 5.2 (EL-5 is 5.1 and I'm not sure about EL-4).
Comment 1 S.A. Hartsuiker 2008-08-07 17:44:18 EDT
RPM Lint: 1 error, see to the bottom of this comment
Package name: php-pecl-json
Spec file: php-pecl-json.spec
License: PHP
Actual License: PHP v3.01
%doc License: not included
Spec file language: english
Spec file readable: yes
Upstream source vs. used tarball: md5sums match
Compile and Build:
 - F-8: n/a
 - F-9: n/a
 - rawhide: n/a
 - EL-5: builds

Applicable Package Guidelines: ok

Locales: not aplicable
Shared libs: ok

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: not ok, see bottom
Code vs. Content: ok
(Large) Documentation: ok
%doc affecting runtime: ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files: ok
Devel requires base package: n/a
.la libtool archives: n/a
Duplicate ownership of files/directories: ok
Remove BuildRoot: ok
UTF-8 filenames: ok

rpmlint complains about:
[shartsuiker@localhost json-1.2.1]$ rpmlint -i -v /var/lib/mock//epel-5-i386/result/php-pecl-json-1.2.1-1.el5.i386.rpm 
php-pecl-json.i386: I: checking
php-pecl-json.i386: E: percent-in-dependency php-zend-abi %{php_zendabiver}
This rpm has a dependency whose version part contains the '%' character. It
could be an unexpanded macro, please double check.

1 packages and 0 specfiles checked; 1 errors, 0 warnings.

All I did was a mock build against epel-5-i386 on fedora9 . Looks like the dependencies are not working properly.
Does this have to be build on a rhel5 box?
Comment 2 Nigel Jones 2008-08-07 18:10:34 EDT
How silly of me, try:
Spec URL: http://dev.nigelj.com/SRPMS/php-pecl-json.spec
SRPM URL: http://dev.nigelj.com/SRPMS/php-pecl-json-1.2.1-2.fc9.src.rpm

These appear to be rpmlint clean here.
Comment 3 S.A. Hartsuiker 2008-08-07 19:03:35 EDT
This looks good.
I also ran a few test from the tarball and they also appear, at least to my untrained eye, to be working.

Package approved.
Comment 4 Nigel Jones 2008-08-07 20:15:25 EDT
New Package CVS Request
=======================
Package Name: php-pecl-json
Short Description: PECL library to implement JSON in PHP
Owners: nigelj
Branches: EL-4 EL-5
Cvsextras Commits: yes

Please note:  This is _not_ required for Fedora, as Fedora ships PHP with php-pecl-json built in.
Comment 5 Kevin Fenzi 2008-08-08 00:17:47 EDT
cvs done. 

Please do mark the devel branch with a dead.package file explaining this is only needed in EPEL.
Comment 6 Nigel Jones 2008-08-13 07:45:38 EDT
Errr yeah, this is done.

Note You need to log in before you can comment on or make changes to this bug.